"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * log levels for the the logger
 */
var LogTypes;
(function (LogTypes) {
    LogTypes["LOG"] = "log";
    LogTypes["ERROR"] = "error";
    LogTypes["WARN"] = "warn";
    LogTypes["INFO"] = "info";
})(LogTypes = exports.LogTypes || (exports.LogTypes = {}));
/**
 * Abstract class to implement for wrapping an implementation of a Selenium web-driver
 */
class Driver {
    constructor(name, capabilities) {
        this.name = name;
        this.capabilities = capabilities;
    }
    getDateForLog() {
        const date = new Date();
        return `${date.getDate()}/${date.getMonth() + 1}/${date.getFullYear()}-${date.getHours()}:${date.getMinutes()}:${date.getSeconds()}`;
    }
    logger(level, input) {
        console[level](`[driver::${this.name}][${this.getDateForLog()}]: ${input instanceof Error ? input.message : input}`);
    }
}
exports.Driver = Driver;
/**
 * Abstract class representing a plugin
 */
class PluginDriver {
    constructor(moduleName) {
        this.moduleName = moduleName;
    }
    getName() {
        return this.moduleName;
    }
}
exports.PluginDriver = PluginDriver;
